<?php
namespace MageWorx\OptionImportExport\Block\Adminhtml\ImportExport;

/**
 * Interceptor class for @see \MageWorx\OptionImportExport\Block\Adminhtml\ImportExport
 */
class Interceptor extends \MageWorx\OptionImportExport\Block\Adminhtml\ImportExport implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\MageWorx\OptionBase\Helper\System $systemHelper, \Magento\Backend\Block\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($systemHelper, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
